Bug 598472 - Hibernation does not work
Hibernation does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
13
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 09:09 EDT by Andres Arenas
Modified: 2011-06-27 13:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-utils-bugreport output (5.97 KB, application/octet-stream)
2010-07-06 15:56 EDT, Charlie Bennett
no flags Details

  None (edit)
Description Andres Arenas 2010-06-01 09:09:54 EDT
Description of problem:
When I choose to hibernate my laptop the system does not recover leaving a blank screen and forcing a hard boot (Soft boot also works, CTRL-ALT-DEL allows me to restart the system) 

Version-Release number of selected component (if applicable):
pm-utils-1.2.6.1-1.fc13.i686

How reproducible:
Everytime

Steps to Reproduce:
1. System/Shutdown/Hibernate
2. Turn on the Laptop
3. The screen freezes on a black screen, the disk activity ends...
  
Actual results:
Black screen.

Expected results:
System recovered to the saved state

Additional info:
Suspend does work.

This is the result of pm-utils-bugreport-info.sh

SUSPEND LOG
Initial commandline parameters: 
Mon May 31 22:32:19 AST 2010: Running hooks for hibernate.
/usr/lib/pm-utils/sleep.d/00auto-quirk hibernate hibernate: Adding quirks from HAL: --quirk-vbe-post 
success.
/usr/lib/pm-utils/sleep.d/00logging hibernate hibernate: Linux hpdv9500.home-net.net 2.6.33.4-95.fc13.i686 #1 SMP Thu May 13 05:55:24 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
aes_i586                7078  3 
aes_generic            26388  1 aes_i586
fuse                   46663  2 
cpufreq_ondemand        6732  2 
acpi_cpufreq            6453  1 
ip6t_REJECT             3298  2 
nf_conntrack_ipv6      13996  2 
ip6table_filter         2191  1 
ip6_tables              9211  1 ip6table_filter
ipv6                  216232  20 ip6t_REJECT,nf_conntrack_ipv6
vboxnetadp              5238  0 
vboxnetflt             10224  0 
vboxdrv               133539  2 vboxnetadp,vboxnetflt
uinput                  5210  0 
snd_hda_codec_si3054     2884  1 
snd_hda_codec_realtek   200715  1 
snd_hda_intel          20207  2 
snd_hda_codec          61515  3 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4704  1 snd_hda_codec
snd_seq                41363  0 
snd_seq_device          4867  1 snd_seq
arc4                    1041  2 
ecb                     1491  2 
hp_wmi                  3937  0 
sdhci_pci               5569  0 
microcode              10013  0 
sdhci                  14831  1 sdhci_pci
ricoh_mmc               2607  0 
wmi                     5444  1 hp_wmi
mmc_core               49341  1 sdhci
snd_pcm                59280  3 snd_hda_codec_si3054,snd_hda_intel,snd_hda_codec
nvidia               9948892  41 
r8169                  28261  0 
iwlagn                122007  0 
snd_timer              15063  2 snd_seq,snd_pcm
i2c_i801                8286  0 
iwlcore               181958  1 iwlagn
snd                    45127  13 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
mii                     3422  1 r8169
iTCO_wdt                8712  0 
iTCO_vendor_support     1963  1 iTCO_wdt
soundcore               4842  1 snd
mac80211              163442  2 iwlagn,iwlcore
cfg80211               97351  3 iwlagn,iwlcore,mac80211
snd_page_alloc          5877  2 snd_hda_intel,snd_pcm
rfkill                 12905  3 hp_wmi,cfg80211
uvcvideo               46837  0 
videodev               29534  1 uvcvideo
v4l1_compat            11106  2 uvcvideo,videodev
i2c_core               19731  3 nvidia,i2c_i801,videodev
joydev                  7291  0 
raid1                  16661  3 
firewire_ohci          16820  0 
firewire_core          35626  1 firewire_ohci
crc_itu_t               1215  1 firewire_core
video                  17109  0 
output                  1541  1 video
             total       used       free     shared    buffers     cached
Mem:       2061232    1645520     415712          0     125064    1135376
-/+ buffers/cache:     385080    1676152
Swap:      5241840          0    5241840
success.
/usr/lib/pm-utils/sleep.d/00powersave hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/01grub hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/49bluetooth hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/56atd hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/56dhclient hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/75modules hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/90clock hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/95led hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/95packagekit hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook hibernate hibernate: saving level 128 for device sdb
saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video hibernate hibernate: success.
Mon May 31 22:32:22 AST 2010: performing hibernate
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Jun  1 07:59 disk
-rw-r--r--. 1 root root 4096 Jun  1 08:22 image_size
-rw-r--r--. 1 root root 4096 Jun  1 08:22 pm_test
-rw-r--r--. 1 root root 4096 Jun  1 08:22 pm_trace
-rw-r--r--. 1 root root 4096 Jun  1 08:22 resume
-rw-r--r--. 1 root root 4096 Jun  1 07:59 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.vbe_post = true  (bool)
  system.firmware.version = 'F.59'  (string)
  system.hardware.product = 'HP Pavilion dv9500 Notebook PC'  (string)
  system.hardware.vendor = 'Hewlett-Packard'  (string)
  system.hardware.version = 'Rev 1'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Oct  1  2009 config.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 power.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux hpdv9500.home-net.net 2.6.33.5-112.fc13.i686 #1 SMP Thu May 27 03:11:56 UTC 2010 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.33.3-85.fc13
kernel-2.6.33.4-95.fc13
kernel-2.6.33.5-112.fc13
pm-utils-1.2.6.1-1.fc13
hal-0.5.14-3.fc13
hal-info-20090716-3.fc12
gnome-power-manager-2.30.1-1.fc13
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.27-1.fc13
======
FEDORA RELEASE
Fedora release 13 (Goddard)
======
Comment 1 Jaroslav Škarvada 2010-06-03 10:32:55 EDT
Please give me more info. Did it work before? And what is the result if suspending without X server?

I also noticed that you are using several third-party modules. Please try to rmmod vbox* and nvidia modules and then try again.

Also in case it never worked before, you can try to recompile the DSDT - there are some users in various forums reporting success with HP Pavilion dv9500 Notebook PC after DSDT recompilation.
Comment 2 Charlie Bennett 2010-07-06 15:56:47 EDT
Created attachment 429873 [details]
pm-utils-bugreport output

I'm having the same problem, different symptoms on ThinkPad T61p.

Until yesterday I was running Fedora 11 and hibernation was working fine.
Upgraded (yum) to Fedora 13 and can no longer hibernate.

After selecting hibernate from the shutdown dialog my screen becomes
blank and keyboard unresponsive, the moon starts blinking and it hangs there
indefinitely.  Need power switch to get the machine back.

Only deltas from normal:
 vga=773 rdblacklist=nouveau nomodeset in grub.conf
 nuked 01grub from the pm-utils lib directory: I dual-hibernate with Windows
  and absolutely want grub menu on *every* boot
Comment 3 Jaroslav Škarvada 2011-01-14 10:37:04 EST
Charlie, thanks for info, the log seems OK, so it may be kernel problem.

Please try with the pm-utils-1.2.6.1-4.fc13 (https://admin.fedoraproject.org/updates/pm-utils-1.2.6.1-4.fc13). 

Also there exist some combination of quirks for the ThinkPad machines but they are mostly targeted to resume problems, but anyway you can try them:

# pm-hibernate --quirk-test --quirk-s3-bios --quirk-s3-mode
# pm-hibernate --quirk-test --quirk-vbe-post
# pm-hibernate --quirk-test --quirk-vbe-post --quirk-vbemode-restore

Also please try to hibernate via the following command (from runlevel 5 and also from runlevel 3):

# echo disk > /sys/power/state

If it does not correctly hibernate from runlevel 3 it would be probably the kernel problem.

BTW: for the 01grub, you can disable it by:
# echo 'HOOK_BLACKLIST="01grub"' > /etc/pm/config.d/grub_always
And it should survive the pm-utils updates.
Comment 4 Andres Arenas 2011-05-30 09:53:11 EDT
Hi, I recently updated to F15 and the problem is solved.  The only thing I changed is that I'm no longer using soft RAID1.  I thing the problem was the RAID since I can't not even upgrade because of that (That sucks!).  I had to reinstall and let F15 handle the partitions.  Now hibernation is worikng for me.

Regards,

Andrés.
Comment 5 Bug Zapper 2011-06-02 08:29:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 13:15:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.